Unit tmnp1r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, MNP1R_p;

function tmnp1r: String;

implementation

function tmnp1r: String;
var
KOUNT,IERR,_i :Integer;
IO :Array [0..3] of Integer;
CO :Array [0..2] of Real;
G :Array [0..9] of Real;
const
XE :Real = 1.0E-8;
FE :Real = 1.0E-9;
M :Integer = 4;
N :Integer = 2;
FSTEP :Real = 1.0;
IPAR :Integer = 1;
MAXK :Integer = 250;
A :Array [0..7] of Real = ( 2.0,1.0,-1.0,0.0,3.0,4.0,0.0,-1.0 );
B :Array [0..3] of Real = ( 6.0,5.0,0.0,0.0 );
P :Array [0..1] of Real = ( -1.0,-2.0 );
U :Array [0..36] of Real = ( 0.5,0.0,0.5,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,
0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,
0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,
0.0 );
begin
Result := '';  {   }
MNP1R(M,N,A,B,U,P,FSTEP,IPAR,MAXK,
     XE,FE,KOUNT,CO,G,IO,IERR);
Result := Result + Format('%s',['  IERR=']);
Result := Result + Format('%2d ',[IERR]);
Result := Result + Format('%s',[' KOUNT=']);
Result := Result + Format('%3d ',[KOUNT]);
Result := Result + Format('%s',['  MAXK=']);
Result := Result + Format('%4d ',[MAXK]);
Result := Result + Format('%s',['      P(1)=']);
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%20.16f ',[P[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tmnp1r',Result);  {     tmnp1r.res }
exit;
end;

end.
